
package de.ivu.elect.business.personenpruefung.entity;

import static java.util.Arrays.asList;

import java.util.List;

import de.ivu.elect.business.personenpruefung.control.wahlrecht.WahlrechtStaatsangehoerigkeit;
import de.ivu.elect.business.wahl.entity.WahlterminConstants;

public class StaatsangehoerigkeitZugelassenPersonPruefungKonfigurationCustomData extends AbstractEnumPersonPruefungKonfigurationCustomData<WahlrechtStaatsangehoerigkeit> {

  private static final long serialVersionUID = 1L;

  public StaatsangehoerigkeitZugelassenPersonPruefungKonfigurationCustomData(WahlrechtStaatsangehoerigkeit wahlrechtStaatsangehoerigkeitDefault) {
    super(wahlrechtStaatsangehoerigkeitDefault);
  }

  @Override
  protected Class<WahlrechtStaatsangehoerigkeit> getEnumClass() {
    return WahlrechtStaatsangehoerigkeit.class;
  }

  @Override
  protected List<WahlrechtStaatsangehoerigkeit> getPropertyValues() {
    return asList(WahlrechtStaatsangehoerigkeit.values());
  }

  @Override
  protected String getPropertyLabelMsgKey() {
    return WahlterminConstants.MESSAGE_KEY_BUERGER_ZUGELASSEN_EINZAHL;
  }
}
